﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace DataGridTest
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Model> testData = new ObservableCollection<Model>();
        private ObservableCollection<Other> otherData = new ObservableCollection<Other>();
        public event PropertyChangedEventHandler PropertyChanged;
        
        
        

        public ObservableCollection<Model> TestData
        {
            get
            {
                return testData;
            }

            set
            {
                testData = value;
                onPropertyChanged("TestData");
            }
        }

        public ObservableCollection<Other> OtherData
        {
            get
            {
                return otherData;
            }

            set
            {
                otherData = value;
                onPropertyChanged("OtherData");
            }
        }

        

        public void onPropertyChanged(string propertyChanged)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyChanged));
            }

        }

        
    }
}
